Subject: Re: [DNSOP] Further observationon AS112 ipv4 cull

From: "William F. Maton Sotomayor" <[email-masked]>
Date: Thu, 4 Aug 2011 15:49:05 -0400 (EDT)

On Thu, 28 Jul 2011, Warren Kumari wrote:

> On Jul 27, 2011, at 10:08 PM, William F. Maton Sotomayor wrote:
>
>> On Tue, 26 Jul 2011, George Michaelson wrote:
>>
>>> I would support this latter approach William: I think we should seek WG adoption of three drafts
>>>
>>> 1) the michaelson as112-ipv6 draft, aiming for at least one 01 spin to a small set of non-controversial V6 delegations, moving to WGLC and IANA asap.
>>>
>>> 2) your as112-ipv4-cull draft, but shorn of the operational aspects, likewise rapid movement to WGLC and IANA
>>
>> For the consideration of members of DNSOP to adopt as a working group item, -01 of my draft has been submitted.
>>
>>> 3) an AS112 operational draft more in the nature of 6304/5/bis
>>
>> This one will follow a little later, I suspect more expanded than before.
>>
>>> I would like to ask for WG adoption of AS112-IPv6 on that basis.
>>
>> +1, especially since some as112 natives are getting restless.
>>
>
> I made a suggestion at the mic in the f2f meeting, and then on the as112 operators list -- there seems to be some support for it there, so I'm now doing it onlist?
>
> How about simply making AS112 omniscient (know the answers for *all* space)? As decisions to have AS112 answer / not answer for zones get made, delegations can simply be added and removed.

As I said in as112-ops, it's a bold suggestion with which I have no 
objections to on the surface - haven't yet synthesised (er, sorry) deeper 
thought over though.  But then I'm not a root-server nor .arpa operator.

> Obviously this would require synthesizing answers[0], and these servers cannot be used for answering recursive queries (and a few other minor issues) but this will (as far as I can see) solve the lameness / coordination issues...

So I wonder if a draft were written suggesting AS112 omniscince, whether 
the discussion in draft-iab-dns-synthesis-concerns might be worth looking 
through to include.

>
>
> W
>
> [0]: Yes, yes i *did* feel dirty writing that?.
>
>
>> Thanks,
>>
>> wfms
>> _______________________________________________
>> DNSOP mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/dnsop
>>
>
>

wfms